Bug 136884 - gcc segfaults due to ICE
Summary: gcc segfaults due to ICE
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 116244
TreeView+ depends on / blocked
 
Reported: 2004-10-22 20:31 UTC by Eido Inoue
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 3.4.2-6.fc3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-26 17:29:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
C preprocessor output (110.44 KB, text/plain)
2004-10-22 20:41 UTC, Eido Inoue
no flags Details

Description Eido Inoue 2004-10-22 20:31:19 UTC
Description of problem:
gcc segfaults internally while compiling C file braille.c in
brltty-3.2-5.src.rpm

Version-Release number of selected component (if applicable):
gcc-3.2.3-34

How reproducible:
always

Steps to Reproduce:
1. bhc dist-fc3-HEAD devserv:~havill/brltty-3.2-5.src.rpm

  
Actual results:
make[2]: Entering directory
`/usr/src/build/474312-x86_64/BUILD/brltty-3.2/Drivers/LogText'
x86_64-redhat-linux-gcc -O2 -g -pipe -m64 -Wall -I. -I../../ -I.
-I../../ -D_POSIX_C_SOURCE=2 -D_BSD_SOURCE -D_XOPEN_SOURCE
-DHAVE_CONFIG_H -fPIC '-DBRLDRIVER="lt"'
'-DBRLHELP="/etc/brltty/brltty-lt.hlp"' -c ./braille.c
./braille.c: In function `sendData':
./braille.c:216: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccRJJ5YP.out file, please attach
this to your bugreport.

Additional info:
Not encountering problems on other archs

Comment 1 Eido Inoue 2004-10-22 20:41:23 UTC
Created attachment 105674 [details]
C preprocessor output

Comment 2 Jakub Jelinek 2004-10-23 17:09:01 UTC
Simplified testcase:
/* { dg-do compile } */
/* { dg-options "-O2 -g" } */

static void
foo (unsigned char x)
{
  unsigned char a[5 + x];
}

void
bar (void)
{
  foo (80);
}

Works with both gcc 3.3.4 and 4.0.0.

Comment 3 Jakub Jelinek 2004-10-23 21:58:02 UTC
http://gcc.gnu.org/ml/gcc-patches/2004-10/msg01995.html

Not sure how often it triggers though.  It has been introduced on
2004-10-13 in CVS (i.e. only in gcc-3.4.2-6 built on Oct, 18th),
so we probably haven't built enough code to see whether this is
something exceptional or happens more often (in which case we should
put it into FC3).

Comment 4 Jakub Jelinek 2004-10-26 17:29:29 UTC
Should be fixed in gcc-3.4.2-6.fc3.


Note You need to log in before you can comment on or make changes to this bug.